"""
Python3 sample script to ControlDoorEx
"""
import requests

# Post url
URL = 'http://192.168.1.52:8088/ControlDoorEx'
# Creds
USER_NAME = "RestUser"
PASSWORD = "RestPassword"

# Possible functions
FUNC_CLOSE = 0
FUNC_TIMED = 1
FUNC_HOLD = 2

# Door
ACU_ADDR = 6377218


# ====== Main ======
data = {
  'address': ACU_ADDR,
  'relais': 0,
  'function': FUNC_TIMED,
  'doorOpenTime': 1000,
  'ledFlash': 0
}
req = requests.post(URL,
                    auth=(USER_NAME, PASSWORD),
                    json=data)
if (req.status_code == 200):
    resp = req.json()
    print('Result: %s' % resp)
else:
    print('Bad response code: %d' % (req.status_code))
